<template>
  <q-page class="container">
    <div class="row items-center justify-center" style="height:80vh">
      <div class="col-6">
        <q-card class="my-card">
          <q-form class="q-gutter-md row justify-center">
            <div class="col-10 q-gutter-sm">
              <p class="text-center text-h5">Software</p>
              <q-input
                square
                filled
                v-model="form.text"
                label="Campo texto *"
                :error="$v.form.text .$invalid"
                required
                v-mask="'SSSSSSSSSSSS'"
              />

              <q-input
                square
                filled
                v-model="form.number"
                label="Campos númerico *"
                :error="$v.form.number .$invalid"
                required
                v-mask="'############'"
              ></q-input>
              <q-btn
                label="Entrar"
                type="submit"
                color="primary full-width q-my-md"
                @click="login()"
              />
            </div>
          </q-form>
        </q-card>
      </div>
    </div>
  </q-page>
</template>

<script>
import { required } from 'vuelidate/lib/validators'
import { mask } from 'vue-the-mask'
export default {
  directives: { mask },
  data () {
    return {
      form: {
        number: '',
        text: ''
      }
    }
  },
  methods: {
    login () {
      this.$router.push('home')
    }
  },
  validations: {
    form: {
      text: {
        required
      },
      number: {
        required
      }
    }
  }
}
</script>

<style>
</style>
